hexedit (1.4.2-7) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Migrated DH level to 13.
  * debian/copyright: updated packaging copyright years.
  * debian/README.Debian: added new note.
  * debian/tests/control: added restriction superficial to first CI test.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Jul 2020 13:47:21 -0300

hexedit (1.4.2-6) unstable; urgency=medium

  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.4.1.
  * debian/copyright:
      - Added Upstream-Contact field.
      - Updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 29 Nov 2019 01:50:36 -0300

hexedit (1.4.2-5) unstable; urgency=medium

  * debian/README.Debian: added new information.
  * debian/tests/control: added a new test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 28 Nov 2018 22:11:12 -0200

hexedit (1.4.2-4) unstable; urgency=medium

  * debian/README.Debian: created to explain about a little bug.
  * debian/tests/control: added to perform a trivial test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 01 Nov 2018 17:50:20 -0300

hexedit (1.4.2-3) unstable; urgency=medium

  * debian/tests/control: removed. The possible test failed. (Closes: #907648)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 02 Sep 2018 21:10:03 -0300

hexedit (1.4.2-2) unstable; urgency=medium

  * Migrated DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.2.1.
      - Changed Vcs-* URLs to salsa.debian.org.
      - Removed no longer needed build dependency dh-autoreconf.
  * debian/copyright:
      - Updated packaging copyright years.
      - Using a secure copyright format in URI.
  * debian/tests/control: created to perform tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 30 Aug 2018 07:06:36 -0300

hexedit (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
      - Removed two patches because the upstream fixed the source code. Thanks.
          ~ 10_fix-install.patch
          ~ 20_fix-configure.ac.patch
      - Removed 30_fix-warnings.patch because it is generating issues over
        32bits architectures.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 19 Sep 2017 09:19:09 -0300

hexedit (1.4.1-2) unstable; urgency=medium

  * debian/patches/:
      - 30_fix-FTBFS.patch:
          ~ Renamed to 10_fix-install.patch.
          ~ Reverted the code to install the original manpage.
          ~ Updated header.
      - 40_fix-configure.ac.patch: renamed to 20_fix-configure.ac.patch.
      - 30_fix-warnings.patch: added to fix some warnings when building.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 13 Sep 2017 14:18:32 -0300

hexedit (1.4.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #300651)
  * Removed calls for dh_autoreconf (already default in DH 10).
  * debian/clean: removed. The patch 30_fix-FTBFS.patch already
    fix the problem.
  * debian/control:
      - Bumped Standards-Version to 4.0.0.
      - Improved the short description. (Closes: #819518)
  * debian/copyright: updated the upstream and packaging
    copyright years.
  * debian/source/include-binaries: removed. This procedure
    was wrong.
  * debian/patches/:
      - Removed two patches. The upstream fixed the source
        code. Thanks!
          ~ 10_fix_Makefile_no_strip.patch
          ~ 20_fix_manpage_spellings.patch
      - 30_fix-FTBFS.patch:
          ~ Added hexedit.1 to clean target.
          ~ Add datarootdir variable.
      - 40_fix-configure.ac.patch: added to fix the message:
        "ac_fn_c_try_link: command not found".
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 12 Sep 2017 09:18:58 -0300

hexedit (1.3-1) unstable; urgency=medium

  * New upstream release.
  * New upstream homepage.
  * debian/control: changed from libncursesw5-dev to libncurses5-dev in
    Build-Depends field.
  * debian/copyright:
      - Added a new email address for upstream.
      - Updated the upstream copyright years.
  * debian/patches/:
      - 20_fix_manpage_spellings.patch: updated.
      - 30_recognize_non-ascii_filenames.patch: Removed. The upstream
        fixed the source code. Thanks Pixel!
      - 30_fix-FTBFS.patch: added to fix a FTBFS and remove a file created
        by build process.
  * debian/README.source: no longer needed. Removed.
  * debian/watch: using GitHub as source.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 21 Nov 2016 14:59:04 -0200

hexedit (1.2.13-4) unstable; urgency=medium

  * Bumped DH level to 10.
  * debian/control: bumped Standards-Version to 3.9.8.
  * debian/copyright:
      - Added new email addresses for upstream.
      - Removed the outdated upstream email address.
  * debian/watch: used a fake site to explain about the
    current status of the original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Nov 2016 19:37:42 -0200

hexedit (1.2.13-3) unstable; urgency=medium

  * debian/control: changed from libncurses5-dev to libncursesw5-dev in
      Build-Depends field.
  * debian/patches/: added the patch 30_recognize_non-ascii_filenames.patch,
      that fixes the interpretation of non-ASCII characters in filenames.
      Thanks to Aaron Small <aaron.small.99a@gmail.com>. (Closes: #500422)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 28 Mar 2016 13:55:19 -0300

hexedit (1.2.13-2) unstable; urgency=medium

  * New maintainer. Thanks to Pierre Blanc and all previous maintainers
    for all work around this package.
  * Migrations:
      - debian/copyright to 1.0 format.
      - Using dh-autoreconf now.
  * debian/clean: created to remove a file forgotten by upstream.
  * debian/control:
      - Bumped Standards-Version to 3.9.7.
      - Improved short and long descriptions.
      - Updated the Vcs-* fields.
  * debian/copyright: updated all information about the upstream and Debian
      maintainers.
  * debian/docs: removed because its content was useless.
  * debian/menu: removed according CTTE #741573.
  * debian/patches/:
      - fix-Makefile-no-strip:
          ~ Renamed to 10_fix_Makefile_no_strip.patch.
          ~ Reorganized the header and put the right author and date.
      - manpage-spelling-fix
          ~ Renamed to 20_fix_manpage_spellings.patch.
          ~ Added a header.
          ~ Simplified the patch, because minus signs is no longer an issue.
  * debian/README.source:
      - Added an information about new upstream repository (GitHub).
      - Removed the outdated information about patches, no longer required
        by Debian Policy.
  * debian/rules:
      - Added the variable DEB_BUILD_MAINT_OPTIONS to improve the hardening.
      - Removed some lines (garbage).
  * debian/watch:
      - Bumped to version 4.
      - Improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 27 Mar 2016 02:39:22 -0300

hexedit (1.2.13-1) unstable; urgency=low

  * New upstream release
  * Fix grammatical errors in description (Closes: #573512)

 -- Pierre Blanc <pierreblanc75@gmail.com>  Sun, 27 Oct 2013 11:27:23 +0100

hexedit (1.2.12-5) unstable; urgency=low

  * New Maintainer (Closes: #726547)
  * Update to debhelper 9
  * Simplify debian/rules
  * Fix manpage typos

 -- Pierre Blanc <pierreblanc75@gmail.com>  Fri, 18 Oct 2013 17:46:54 +0200

hexedit (1.2.12-4) unstable; urgency=low

  * Change my Name in maintainers field
  * Add ${misc:Depends} to depends
  * Add debian/README.source
  * Use /usr/share/quilt/quilt.make ; general rules clean up
  * Patch Makefile.in instead of Makefile itself
  * Fix spelling error in manpage
  * Bumped standards to 3.8.3 (no further changes needed)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 18 Jan 2010 20:36:40 +0100

hexedit (1.2.12-3) unstable; urgency=low

  * Bumped standards to 3.7.3 (no changes)
  * Fix menu file for renamed section
  * debian/control
    - Move Homepage to proper field
    - added Vcs-Svn and Vcs-Browser fields
  * Fixing watch file (Closes: #449688)
  * New patch fix-Makefile-no-strip which removes -s from the install options
    in the Makefile (Closes: #437161)

 -- Alexander Schmehl <tolimar@debian.org>  Thu, 21 Feb 2008 03:57:49 +0100

hexedit (1.2.12-2) unstable; urgency=low

  * New Maintainer
  * added missing space to homepage pseudo header
  * using debhelper 5

 -- Alexander Schmehl <tolimar@debian.org>  Wed, 29 Mar 2006 20:36:49 +0200

hexedit (1.2.12-1) unstable; urgency=low

  * New upstream release
    + fruit salad now optional; many thanks to Yuri D'Elia for constructive
      criticism and the patch and to Pascal Rigaux for quick collaboration
      (Closes: #329353)
  * debian/menu: supply full path to binary to make linda happy

 -- Florian Ernst <florian@debian.org>  Thu, 22 Sep 2005 16:47:42 +0200

hexedit (1.2.11-1) unstable; urgency=low

  * New upstream release
    + allows colored display (upstream calls it "fruit salad" :)),
      now enabled during build (Closes: #90195)
  * debian/rules: better cleanup in clean target
  * debian/copyright: update FSF address
  * Standards-Version: 3.6.2, no changes required

 -- Florian Ernst <florian@debian.org>  Tue, 20 Sep 2005 16:23:18 +0200

hexedit (1.2.10-1) unstable; urgency=low

  * New upstream version, new maintainer (Closes: #259921)
    + showing manpage doesn't screw up terminal mode anymore
      (Closes: #48203)
    + backward search works reliably (Closes: #281825)
    + displays correct file offset on hppa / powerpc (Closes: #126067)
  * debian/changelog: removed user emacs settings
  * echo 4 > debian/compat
  * debian/control:
    + drop Build-Depends on autoconf, not needed
    + updated B-D on libncurses-dev to libncurses5-dev, B-D on debhelper
      tp >= 4
    + removed trailing full stop from description
    + added Homepage to long description
    + Standards-Version: 3.6.1
  * debian/copyright:
    + updated upstream download location
    + added maintaining history
    + extended author / copyright statement, including GPL pointer
  * debian/dirs: dropped, not needed
  * debian/docs: dropped changes (-> dh_installchangelogs) and
    debian/copyright
  * debian/menu: added
  * debian/rules: complete redo, following best practices
  * debian/watch: added

 -- Florian Ernst <florian@debian.org>  Fri, 25 Feb 2005 11:43:09 +0100

hexedit (1.2.2-1) unstable; urgency=low

  * New upstream version
  * Undo _GNU_SOURCE fix, upstream is now 64-bit clean

 -- Robert Woodcock <rcw@debian.org>  Wed, 24 Oct 2001 16:49:50 -0700

hexedit (1.1.0-4) unstable; urgency=low

  * Erm, defined _GNU_SOURCE where it has an effect (now that I have
    an IA-64 box to test on)

 -- Robert Woodcock <rcw@debian.org>  Thu, 25 Jan 2001 22:39:01 -0800

hexedit (1.1.0-3) unstable; urgency=low

  * defined _GNU_SOURCE so our basename() calls work on IA-64
  * Added Build-Depends

 -- Robert Woodcock <rcw@debian.org>  Sun, 21 Jan 2001 22:03:50 -0800

hexedit (1.1.0-2) unstable; urgency=low

  * FHS Compliance

 -- Robert Woodcock <rcw@debian.org>  Fri, 24 Sep 1999 19:34:58 -0700

hexedit (1.1.0-1) unstable; urgency=low

  * New upstream version

 -- Robert Woodcock <rcw@debian.org>  Fri, 22 Jan 1999 20:50:53 -0800

hexedit (1.0.0-3) unstable; urgency=low

  * Recompiled with ncurses 4

 -- Robert Woodcock <rcw@oz.net>  Tue, 13 Oct 1998 22:12:29 -0700

hexedit (1.0.0-2) unstable; urgency=low

  * Minor makefile tweak for 1.0.0 by upstream author

 -- Robert Woodcock <rcw@oz.net>  Sat, 12 Sep 1998 09:10:25 -0700

hexedit (1.0.0-1) unstable; urgency=low

  * New upstream release - the big one-point-oh

 -- Robert Woodcock <rcw@oz.net>  Fri, 11 Sep 1998 19:31:23 -0700

hexedit (0.9.5-1) unstable; urgency=low

  * New upstream release

 -- Robert Woodcock <rcw@oz.net>  Wed, 26 Aug 1998 18:00:01 -0700

hexedit (0.9.4-1) unstable; urgency=low

  * New upstream release
  * Places upstream changelog in /usr/doc/hexedit/changelog.gz
    to be policy compliant

 -- Robert Woodcock <rcw@oz.net>  Sat,  8 Aug 1998 14:47:58 -0700

hexedit (0.9.3-1) unstable; urgency=low

  * New upstream release

 -- Robert Woodcock <rcw@oz.net>  Sun, 26 Jul 1998 13:51:40 -0700

hexedit (0.9.2-1) unstable; urgency=low

  * Initial Release.
  * Moved the FSF from Cambridge to Boston

 -- Robert Woodcock <rcw@oz.net>  Mon, 20 Jul 1998 19:28:16 -0700
